<?xml version='1.0'?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict"
                xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">

<xsl:strip-space elements="*"/>
<xsl:output method="text" indent="yes" encoding="iso-8859-1"/>

<xsl:template match="SOAP-ENV:Body/*">
   <xsl:call-template name='method'/>
</xsl:template>

<xsl:template name='method'>
   <xsl:value-of select='local-name()'/>
   (
      <xsl:for-each select='node()'>
         '<xsl:apply-templates/>'
         <xsl:if test='position()!=last()'>,</xsl:if>
      </xsl:for-each>
   );
</xsl:template>

</xsl:stylesheet>
